OGRE: Ogre::RTShader::FunctionAtom Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::RTShader::FunctionAtom Class Reference
[RTShader]

A class that represents an atomic code section of shader based program function. More...

`#include <OgreShaderFunctionAtom.h>`

Inheritance diagram for Ogre::RTShader::FunctionAtom:
[legend]

List of all members.

## Public Member Functions
| FunctionAtom ()
| Class default constructor.
virtual | ~FunctionAtom ()
| Class default destructor.
int | getGroupExecutionOrder () const
| Get the group execution order of this function atom.
int | getInternalExecutionOrder () const
| Get an internal execution order within a group of this function atom.
virtual void | writeSourceCode (std::ostream &os, const String &targetLanguage) const =0
| Abstract method that writes a source code to the given output stream in the target shader language.
virtual const String & | getFunctionAtomType ()=0
| Return the type of this atom instance implementation.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
int | mGroupExecutionOrder
int | mInteralExecutionOrder

## Detailed Description

A class that represents an atomic code section of shader based program function.

Definition at line 48 of file OgreShaderFunctionAtom.h.

## Constructor & Destructor Documentation

Ogre::RTShader::FunctionAtom::FunctionAtom | ( |  | ) |

Class default constructor.

virtual Ogre::RTShader::FunctionAtom::~FunctionAtom | ( |  | ) | `[virtual]`

Class default destructor.

Definition at line 56 of file OgreShaderFunctionAtom.h.

## Member Function Documentation

virtual const String& Ogre::RTShader::FunctionAtom::getFunctionAtomType | ( |  | ) | `[pure virtual]`

Return the type of this atom instance implementation.

Implemented in Ogre::RTShader::FunctionInvocation.

int Ogre::RTShader::FunctionAtom::getGroupExecutionOrder | ( |  | ) | const

Get the group execution order of this function atom.

int Ogre::RTShader::FunctionAtom::getInternalExecutionOrder | ( |  | ) | const

Get an internal execution order within a group of this function atom.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

virtual void Ogre::RTShader::FunctionAtom::writeSourceCode | ( | std::ostream & | os,
|  | const String & | targetLanguage |
| ) |  |  | const`[pure virtual]`

Abstract method that writes a source code to the given output stream in the target shader language.

Implemented in Ogre::RTShader::FunctionInvocation.

## Member Data Documentation

int Ogre::RTShader::FunctionAtom::mGroupExecutionOrder`[protected]`

Definition at line 72 of file OgreShaderFunctionAtom.h.

int Ogre::RTShader::FunctionAtom::mInteralExecutionOrder`[protected]`

Definition at line 73 of file OgreShaderFunctionAtom.h.

The documentation for this class was generated from the following file:

- OgreShaderFunctionAtom.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05